package com.pdaaphm.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 数据处理对象 t_data_process
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
public class TDataProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private String processType;

    /** 处理的算法id */
    @Excel(name = "处理的算法id")
    private Long processAlgId;

    /** 被处理数据id */
    @Excel(name = "被处理数据id")
    private Long processedDataId;

    private String processedDataName;

    /** 处理结果数据id */
    @Excel(name = "处理结果数据id")
    private Long resultDataId;

    private String resultDataName;

    /** 状态 */
    @Excel(name = "状态")
    private String processStatus;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 日志 */
    @Excel(name = "日志")
    private String log;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProcessType(String processType) 
    {
        this.processType = processType;
    }

    public String getProcessType() 
    {
        return processType;
    }
    public void setProcessAlgId(Long processAlgId) 
    {
        this.processAlgId = processAlgId;
    }

    public Long getProcessAlgId() 
    {
        return processAlgId;
    }
    public void setProcessedDataId(Long processedDataId) 
    {
        this.processedDataId = processedDataId;
    }

    public Long getProcessedDataId() 
    {
        return processedDataId;
    }
    public void setResultDataId(Long resultDataId) 
    {
        this.resultDataId = resultDataId;
    }

    public Long getResultDataId() 
    {
        return resultDataId;
    }
    public void setProcessStatus(String processStatus) 
    {
        this.processStatus = processStatus;
    }

    public String getProcessStatus() 
    {
        return processStatus;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setLog(String log) 
    {
        this.log = log;
    }

    public String getLog() 
    {
        return log;
    }

    public String getProcessedDataName() {
        return processedDataName;
    }

    public void setProcessedDataName(String processedDataName) {
        this.processedDataName = processedDataName;
    }

    public String getResultDataName() {
        return resultDataName;
    }

    public void setResultDataName(String resultDataName) {
        this.resultDataName = resultDataName;
    }

    @Override
    public String toString() {
        return "TDataProcess{" +
                "id=" + id +
                ", processType='" + processType + '\'' +
                ", processAlgId=" + processAlgId +
                ", processedDataId=" + processedDataId +
                ", processedDataName='" + processedDataName + '\'' +
                ", resultDataId=" + resultDataId +
                ", resultDataName='" + resultDataName + '\'' +
                ", processStatus='" + processStatus + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", log='" + log + '\'' +
                '}';
    }
}
